<template>
  <view></view>
  <view class="loading"> </view>
</template>

<script setup>
import { ref, reactive } from "vue"
import { onLaunch } from "@dcloudio/uni-app"
import { checkCurrVersion,getExtStoreId } from "@/util/versionManage.js"
import storageManage from "@/util/storageManage.js"

onLaunch(() => {
	getExtStoreId()
  // 检查版本
  checkCurrVersion()

  const userInfo = storageManage.userInfo()

  let isApp = false

  // #ifdef APP-PLUS
  isApp = true
  // #endif

  if (userInfo && userInfo.isEpUuser) {
    uni.reLaunch({
      url: "./pages/devWorkbench/devWorkbench",
      success: () => {
        if (isApp) {
          plus.navigator.closeSplashscreen()
        }
      },
    })
  } else {
    if (isApp) {
      plus.navigator.closeSplashscreen()
    }
    // uni.reLaunch({ url: './pages/workbench/workbench'});
  }
})
</script>
<style lang="scss">
/*每个页面公共css */
@import "./static/css/global.scss";
@import "./static/css/common.scss";
@import "./static/css/global.css";
</style>
